Bug 1033013 - frequently facing the rpmdb error.
frequently facing the rpmdb error.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpmdb-redhat (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Daniel Mach
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 07:22 EST by Gopikannan Ellappan
Modified: 2016-06-21 08:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-21 08:58:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gopikannan Ellappan 2013-11-21 07:22:34 EST
Description of problem:

Now we are frequently facing the rpmdb error, while executing the rpm query commands. Even we tried to re-build the db - but after sometime it exists.
Especially during the yum-update.

it works after clearing the db files and re-building the db.

But my question here, is the db is getting corrupted or something else ??

Version-Release number of selected component (if applicable):

Rhel 4


Actual results:

Failed fetching cluster dependency
    rpmdb: Thread/process 25356/140122735929248 failed: Thread died in Berkeley DB library
    error: db3 error(-30974) from dbenv->failchk: DB_RUNRECOVERY: Fatal error, run database recovery
    error: cannot open Packages index using db3 -  (-30974)
    error: cannot open Packages database in /var/lib/rpm

Expected results:

Shouldnt get this error without any WA. I want a fix it shouldnt appear again.

Additional info:
Comment 1 Gopikannan Ellappan 2013-11-22 05:30:10 EST
Hi Daniel,

Could you please check and update me? Its blocking me here..!
Comment 2 Daniel Mach 2016-06-21 08:58:54 EDT
It was most likely this problem, rebuilding rpm db would fix it:
https://access.redhat.com/solutions/6903

RHEL 4 is EOL already, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.